MyGUI: MyGUI::LogSource Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::LogSource Class Reference

`#include <MyGUI_LogSource.h>`

## Public Member Functions
| LogSource ()
| ~LogSource ()
void | setLogFilter (ILogFilter *_filter)
void | addLogListener (ILogListener *_lestener)
void | open ()
void | close ()
void | flush ()
void | log (const std::string &_section, LogLevel _level, const struct tm *_time, const std::string &_message, const char *_file, int _line)

## Detailed Description

Definition at line 18 of file MyGUI_LogSource.h.

## Constructor & Destructor Documentation

## ◆ LogSource()

MyGUI::LogSource::LogSource | ( |  | ) |

Definition at line 13 of file MyGUI_LogSource.cpp.

## ◆ ~LogSource()

MyGUI::LogSource::~LogSource | ( |  | ) |
| default

## Member Function Documentation

## ◆ addLogListener()

void MyGUI::LogSource::addLogListener | ( | ILogListener * | _lestener | ) |

Set log messages filter.

Definition at line 25 of file MyGUI_LogSource.cpp.

## ◆ close()

void MyGUI::LogSource::close | ( |  | ) |

Call ILogListener::close() for all listeners.

Definition at line 36 of file MyGUI_LogSource.cpp.

## ◆ flush()

void MyGUI::LogSource::flush | ( |  | ) |

Call ILogListener::flush() for all listeners.

Definition at line 42 of file MyGUI_LogSource.cpp.

## ◆ log()

void MyGUI::LogSource::log | ( | const std::string & | _section,
|  | LogLevel | _level,
|  | const struct tm * | _time,
|  | const std::string & | _message,
|  | const char * | _file,
|  | int | _line )

Call ILogListener::log for all listeners for messages that match LogSource filter (

See also
  void setLogFilter(ILogFilter* _filter)).

Definition at line 48 of file MyGUI_LogSource.cpp.

## ◆ open()

void MyGUI::LogSource::open | ( |  | ) |

Call ILogListener::open() for all listeners.

Definition at line 30 of file MyGUI_LogSource.cpp.

## ◆ setLogFilter()

void MyGUI::LogSource::setLogFilter | ( | ILogFilter * | _filter | ) |

Set log messages filter.

Definition at line 20 of file MyGUI_LogSource.cpp.

The documentation for this class was generated from the following files:

- MyGUI_LogSource.h
- MyGUI_LogSource.cpp